/*

First create a database called 'myfamily'
And then run this script which will built and fill the test
database for VDKODBC test programs.

A very simple database containing one recursive table
to able parents to have children and reverse.

Fields are not data useful but are used to test typical
data types.

This script has been tested on :
- PostgreSQL 7.2.1
- MySQL 3.23.55

Author : Pierre-Louis Malatray <pierrelouis.malatray@free.fr>

*/
create table family(
	id			integer			PRIMARY KEY,
	first_name	varchar(30)		NOT NULL,
	last_name	varchar(30)		NOT NULL,
	birthdate	date			NOT NULL,
	nickname	varchar(30)		DEFAULT 'None',
	height		numeric(6,2),
	weight		numeric(6,2),
	father		integer,
	mother		integer,
	FOREIGN KEY(father) REFERENCES family(id),
	FOREIGN KEY(mother) REFERENCES family(id)
);

insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(0, 'Ancestor', 'Ancestor', '1001/01/01', 0, 0, 0, 0);
insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(10, 'Pierre-Louis', 'Malatray', '1962/03/18', 1.73, 73.5, 0, 0);
insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(11, 'Catherine', 'Malatray', '1962/04/08', 1.65, 65, 0, 0);
insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(12, 'Suzanne', 'Malatray', '1990/07/28', 1.42, 35, 10, 11);
insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(13, 'Fabien', 'Malatray', '1993/07/07', 1.35, 28, 10, 11);
insert into family(id, first_name, last_name, birthdate, height, weight, father, mother) values
	(14, 'Thierry', 'Malatray', '1996/12/11', 0.92, 15, 10, 11);

	
